5.3 app to 6.5.? - SGI

This is a discussion on 5.3 app to 6.5.? - SGI ; Hi, I've an old, old app that was last ported to 5.3... Anyone able to get me up to the 6.5.? world? thanks!...

+ Reply to Thread
Results 1 to 3 of 3

Thread: 5.3 app to 6.5.?

  1. 5.3 app to 6.5.?

    Hi,

    I've an old, old app that was last ported to 5.3...
    Anyone able to get me up to the 6.5.? world?

    thanks!



  2. Re: 5.3 app to 6.5.?

    In article , dsh wrote:

    >I've an old, old app that was last ported to 5.3...
    >Anyone able to get me up to the 6.5.? world?


    If it was compiled as a COFF binary, then the last version you
    can run it on is IRIX 6.2; after that you would need to recompile
    (possibly making some source changes.)

  3. Re: 5.3 app to 6.5.?

    To the original poster, to determine if your program is a COFF binary,
    run the command:
    file
    For example,
    file /bin/ls
    If the output says "COFF", you will need to recompile or get a newer
    version of the software to run on 6.5.
    If the output says "ELF", the software might run, but it might not. A
    lot would depend on whether it has dependencies on old libraries, etc.

    To Walter -

    I think that you are thinking of IRIX 6.0.x/6.1. IRIX 6.2 does not run
    COFF binaries.

    IRIX 6.0.x was the last version with full support for COFF binaries.
    IRIX 6.1 still had COFF support in the kernel, so you could run COFF
    binaries if you copied the COFF libraries from a previous version of
    IRIX to a 6.1 system.
    Support was removed from 6.2.

    -jh

    Walter Roberson wrote:

    > If it was compiled as a COFF binary, then the last version you
    > can run it on is IRIX 6.2; after that you would need to recompile
    > (possibly making some source changes.)



+ Reply to Thread